# Registry

This endpoint retrieves a list of all active validators.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/validatorregistry
```

{% endtab %}
{% endtabs %}

## Examples

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/validatorregistry
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
[
  {
    "master_key": "nHUpDEZX5Zy9auiu4yhDmhirNu6PyB1LvzQEL9Mxmqjr818w663q",
    "chain": "main",
    "ephemeral_key": "n9LPSEVyNTApMuchFeTE1GD9qhsH9Umagnpu3NLC9zb358KNfiZV",
    "last_seen": "2023-07-31T12:28:38.931Z",
    "ledger_index": 81521454,
    "meta": {
      "manifest": "JAAAAAVxIe1YCtT6XamJ+pmVNezCAZeltToaSalx9mUu2NXUZspgXXMhAvLQl0WBMe0XSjFQPbqUXSiRBQwcypNu02I3WQMNj/9zdkYwRAIgSV2kfFs1r1TaHX/SUbx78vIq1nhyAiNS0GGu8nIaNi4CIGbCr/dXKdKjrdwoJYNDgf4tlMT094bhUUnpTzkNHWLPdwx4c3BlY3Rhci5jb21wEkApTowQiZRa8XXIDlEZ2RUqfF6JK1nNzMaAHz4zLBwa+ed17+kqmyOM+haosWBJO6oqwiKl46p7RW753XkrZ8gF",
      "verification_message": "Hostname/IP does not match certificate's altnames: Host: xspectar.com. is not in the cert's altnames: DNS:*.azurewebsites.net, DNS:*.scm.azurewebsites.net, DNS:*.azure-mobile.net, DNS:*.scm.azure-mobile.net, DNS:*.sso.azurewebsites.net",
      "verified": true
    },
    "server_version": {
      "implementation": "rippled",
      "major": 1,
      "minor": 11,
      "patch": 0,
      "version": "1.11.0",
      "version_full": "rippled-1.11.0"
    },
    "votes": {
      "amendments": [
        "2E2FB9CF8A44EB80F4694D38AADAE9B8B7ADAFD2F092E10068E61C98C4F092B0",
        "47C3002ABA31628447E8E9A8B315FAA935CE30183F9A9B86845E469CA2CDC3DF",
        "73761231F7F3D94EC3D8C63D91BDD0D89045C6F71B917D1925C01253515A6669",
        "75A7E01C505DD5A179DFE3E000A9B6F1EDDEB55A12F95579A23E15B15DC8BE5A",
        "93E516234E35E08CA689FA33A6D38E103881F8DCB53023F728C307AA89D515A7",
        "F1ED6B4A411D8B872E65B9DCB4C8B100375B0DD3D62D07192E011D6D7F339013"
      ]
    },
    "domain": "xspectar.com",
    "unl": [
      "vl.xrplf.org",
      "vl.ripple.com"
    ],
    "domain_legacy": "xspectar.com"
  },
  {
    "master_key": "nHBdXSF6YHAHSZUk7rvox6jwbvvyqBnsWGcewBtq8x1XuH6KXKXr",
    "chain": "main",
    "domain": "xrpvalidator.ftso.eu",
    "ephemeral_key": "n9MfeCuZK2ra5eJtFDtuCTnvxfsi85k4J3GXJ1TvRVr2o4EQeHMF",
    "last_seen": "2023-07-31T12:28:39.197Z",
    "ledger_index": 81521454,
    "meta": {
      "manifest": "JAAAAAJxIe0kh8AnrrWSIR31ZHToQaraDB9PBijoBO6fEuxOfFUZuXMhA1KqzeMXFIgOfqY2d+J7qzq24oruATCkmopCUMGJOEBldkYwRAIgCwa3VLJb/Dzkb2vyX/Z+uTQJU3P+KdCjagwKSLEguj4CIF00+9ztyp3KgV7MQmAi+nogs4f8rPbcG3SQAktWmscodxR4cnB2YWxpZGF0b3IuZnRzby5ldXASQJ4IcwxDN69Q4mkjemSlFX+mrNhsITvmeTyEP4f5E6WcE1u/WlDNCdqs/RDTG98eqyJE6MGUB76Qnxqb8Zi71QU=",
      "verified": true,
      "verification_message": "getaddrinfo ENOTFOUND xrpvalidator.ftso.eu"
    },
    "server_version": {
      "implementation": "rippled",
      "major": 1,
      "minor": 11,
      "patch": 0,
      "version": "1.11.0",
      "version_full": "rippled-1.11.0"
    },
    "unl": [
      "vl.xrplf.org",
      "vl.ripple.com"
    ],
    "votes": {
      "amendments": [
        "2E2FB9CF8A44EB80F4694D38AADAE9B8B7ADAFD2F092E10068E61C98C4F092B0",
        "47C3002ABA31628447E8E9A8B315FAA935CE30183F9A9B86845E469CA2CDC3DF",
        "73761231F7F3D94EC3D8C63D91BDD0D89045C6F71B917D1925C01253515A6669",
        "75A7E01C505DD5A179DFE3E000A9B6F1EDDEB55A12F95579A23E15B15DC8BE5A",
        "93E516234E35E08CA689FA33A6D38E103881F8DCB53023F728C307AA89D515A7",
        "F1ED6B4A411D8B872E65B9DCB4C8B100375B0DD3D62D07192E011D6D7F339013"
      ]
    },
    "domain_legacy": "xrpvalidator.ftso.eu"
  },
  ...
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/validator/registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
